POST
/
v1
/
account
/
addresses
Add Address
curl --request POST \
  --url https://api.bolt.com/v1/account/addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "country_code": "US",
  "email": "alan.watts@example.com",
  "first_name": "Alan",
  "last_name": "Watts",
  "locality": "Brooklyn",
  "postal_code": "10044",
  "region": "NY",
  "street_address1": "888 main street",
  "company": "Bolt",
  "country": "United States",
  "default": true,
  "door_code": "123456",
  "name": "Alan Watts",
  "phone": "+12125550199",
  "region_code": "NY",
  "street_address2": "apt 3021",
  "street_address3": "c/o Alicia Watts",
  "street_address4": "Bridge Street Apartment Building B",
  "metadata": {
    "customer_id": 234
  }
}
'
{
  "company": "Bolt",
  "country": "United States",
  "country_code": "US",
  "door_code": "123456",
  "email_address": "alan.watts@example.com",
  "first_name": "Alan",
  "id": "<string>",
  "last_name": "Watts",
  "locality": "Brooklyn",
  "name": "Alan Watts",
  "phone_number": "+12125550199",
  "postal_code": "10044",
  "priority": "primary",
  "region": "NY",
  "region_code": "NY",
  "street_address1": "888 main street",
  "street_address2": "apt 3021",
  "street_address3": "c/o Alicia Watts",
  "street_address4": "Bridge Street Apartment Building B",
  "metadata": {
    "customer_id": 234
  },
  "default": true
}

Authorizations

Authorization
string
header
required

Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs. For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}. Read more about the OAuth token endpoint.

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Headers

X-Publishable-Key
string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Idempotency-Key
string

A key created by merchants that ensures POST and PATCH requests are only performed once. Read more about Idempotent Requests here.

Body

application/json

The Address object is used for billing, shipping, and physical store address use cases.

country_code
string
required

The ISO 3166-1 alpha-2 country code associated with this address.

Required string length: 2
Example:

"US"

email
string<email>
required

The email address associated with this address.

Maximum string length: 255
Example:

"alan.watts@example.com"

first_name
string
required

The given name of the person associated with this address.

Maximum string length: 1024
Example:

"Alan"

last_name
string
required

The surname of the person associated with this address.

Maximum string length: 1024
Example:

"Watts"

locality
string
required

The city name details associated with this address.

Maximum string length: 1024
Example:

"Brooklyn"

postal_code
string
required

The the postal or zip code associated with this address.

Maximum string length: 32
Example:

"10044"

region
string
required

Not Required for NON US addresses. The region details such as state or province associated with this address.

Maximum string length: 1024
Example:

"NY"

street_address1
string
required

The street number and street name of the address.

Maximum string length: 1024
Example:

"888 main street"

company
string

The company name associated with this address.

Maximum string length: 1024
Example:

"Bolt"

country
string

The name of the country associated with this address.

Maximum string length: 1024
Example:

"United States"

default
boolean

Set this to true to make this the default shipping address. There can be only one address with default set to true.

Example:

true

door_code
string | null

The building door code or community gate code.

Maximum string length: 1024
Example:

"123456"

name
string

The given and surname of the person associated with this address.

Maximum string length: 1024
Example:

"Alan Watts"

phone
string

The phone number associated with this address.

Maximum string length: 16
Example:

"+12125550199"

region_code
string | null

The ISO 3166-2 region code associated with this address.

    • If specified, value must be valid for the country.
    • If null, value is inferred from the region.
Maximum string length: 1024
Example:

"NY"

street_address2
string

Any apartment, floor, or unit details.

Maximum string length: 1024
Example:

"apt 3021"

street_address3
string | null

Any additional street address details.

Maximum string length: 1024
Example:

"c/o Alicia Watts"

street_address4
string | null

Any additional street address details.

Maximum string length: 1024
Example:

"Bridge Street Apartment Building B"

metadata
object

A key-value pair object that allows users to store arbitrary information associated with an object. For any individual account object, we allow up to 50 keys. Keys can be up to 40 characters long and values can be up to 500 characters long. Metadata should not contain any sensitive customer information, like PII (Personally Identifiable Information). For more information about metadata, see our documentation.

Example:
{ "customer_id": 234 }

Response

200 - application/json

Address Added Successfully

The address object returned in the response.

company
string

The company name associated with this address.

Example:

"Bolt"

country
string

The name of the country associated with this address.

Example:

"United States"

country_code
string

The ISO 3166-1 alpha-2 country code associated with this address.

Example:

"US"

door_code
string | null

The building door code or community gate code.

Maximum string length: 1024
Example:

"123456"

email_address
string<email>

The email address associated with this address.

Maximum string length: 255
Example:

"alan.watts@example.com"

first_name
string

The given name of the person associated with this address.

Example:

"Alan"

id
string

The unique Bolt ID associated with this address.

last_name
string

The surname of the person associated with this address.

Example:

"Watts"

locality
string

The city name details associated with this address.

Example:

"Brooklyn"

name
string

The given and surname of the person associated with this address.

Example:

"Alan Watts"

phone_number
string

The phone number associated with this address.

Maximum string length: 16
Example:

"+12125550199"

postal_code
string

The postal or zip code associated with this address.

Maximum string length: 32
Example:

"10044"

priority
enum<string> | null

The shopper-indicated priority of this address compared to other addresses on their account.

Available options:
primary,
listed
Example:

"primary"

region
string

The region details such as state or province associated with this address.

Example:

"NY"

region_code
string | null

The the ISO 3166-2 region code associated with this address.

Example:

"NY"

street_address1
string

The street number and street name of the address.

Example:

"888 main street"

street_address2
string

Any apartment, floor, or unit details.

Example:

"apt 3021"

street_address3
string | null

Any additional street address details.

Example:

"c/o Alicia Watts"

street_address4
string | null

Any additional street address details.

Example:

"Bridge Street Apartment Building B"

metadata
object

A key-value pair object that allows users to store arbitrary information associated with an object. For any individual account object, we allow up to 50 keys. Keys can be up to 40 characters long and values can be up to 500 characters long. Metadata should not contain any sensitive customer information, like PII (Personally Identifiable Information). For more information about metadata, see our documentation.

Example:
{ "customer_id": 234 }
default
boolean